From fe2efab3abc0837cd168ed5840710d1b58b46b1b Mon Sep 17 00:00:00 2001
From: cramakri <cramakri>
Date: Wed, 3 Aug 2011 09:44:19 +0000
Subject: [PATCH] LMS-2411 Minor fixes to the run-console script.

SVN: 22314
---
 screening/dist/tarball/run-console.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/screening/dist/tarball/run-console.sh b/screening/dist/tarball/run-console.sh
index 3d213ad9b03..8d0ee39f10e 100755
--- a/screening/dist/tarball/run-console.sh
+++ b/screening/dist/tarball/run-console.sh
@@ -12,7 +12,7 @@ function readAdminPassword()
 	    read -s -p "Re-type password for openBIS 'admin' user : " ADMIN_PASSWORD2
 	    echo ""
 	    
-	    if [ "$ADMIN_PASSWORD" -ne "$ADMIN_PASSWORD2" ]; then
+	    if [ "$ADMIN_PASSWORD" != "$ADMIN_PASSWORD2" ]; then
 	        echo "Administrator passwords do not match. Aborting installation."
 	        exit 2
 	    fi
@@ -49,6 +49,13 @@ if [ -z "$install_path" ]; then
     exit 1
 fi
 
+dss_root_dir=$( grep -e "^DSS.ROOT-DIR=.*$" $BASE/console.properties | sed "s/DSS.ROOT-DIR=//" )
+if [ -z "$dss_root_dir" ]; then
+    echo "The property DSS.ROOT-DIR= must be configured in $BASE/console.properties."
+    echo "Please edit the file and run the installation script again."
+    exit 1
+fi
+
 ensureToolOnPath "java" 
 ensureToolOnPath "psql"
 ensureToolOnPath "pg_dump"
-- 
GitLab